Package org.apache.commons.collections4.trie

# Class AbstractBitwiseTrie<K,V>

java.lang.Object
java.util.AbstractMap<K,V>
org.apache.commons.collections4.trie.AbstractBitwiseTrie<K,V>

Type Parameters:
  `K` - The type of the keys in this map
  `V` - The type of the values in this map

All Implemented Interfaces:
  `Serializable`, `Map<K,V>`, `SortedMap<K,V>`, `Get<K,V>`, `IterableGet<K,V>`, `IterableMap<K,V>`, `IterableSortedMap<K,V>`, `OrderedMap<K,V>`, `Put<K,V>`, `Trie<K,V>`

Direct Known Subclasses:
  `AbstractPatriciaTrie`

public abstract class AbstractBitwiseTrie<K,V> extends AbstractMap<K,V> implements Trie<K,V>, Serializable
This class provides some basic `Trie` functionality and utility methods for actual bitwise `Trie` implementations.

Since:
  4.0
See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.util.AbstractMap

  `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

  ## Nested classes/interfaces inherited from interface java.util.Map

  `Map.Entry<K,V>`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AbstractBitwiseTrie(KeyAnalyzer<? super K> keyAnalyzer)`
  Constructs a new `Trie` using the given `KeyAnalyzer`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected KeyAnalyzer<? super K>`
  `getKeyAnalyzer()`
  Gets the `KeyAnalyzer` that constructed the `Trie`.
  `String`
  `toString()`

  ### Methods inherited from class java.util.AbstractMap

  `clear, clone, containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.commons.collections4.Get

  `containsKey, containsValue, entrySet, get, isEmpty, keySet, remove, size, values`

  ### Methods inherited from interface java.util.Map

  `clear, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, equals, forEach, get, getOrDefault, hashCode, isEmpty, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size`

  ### Methods inherited from interface org.apache.commons.collections4.OrderedMap

  `firstKey, lastKey, mapIterator, nextKey, previousKey`

  ### Methods inherited from interface org.apache.commons.collections4.Put

  `clear, put, putAll`

  ### Methods inherited from interface java.util.SortedMap

  `comparator, entrySet, firstKey, headMap, keySet, lastKey, subMap, tailMap, values`

  ### Methods inherited from interface org.apache.commons.collections4.Trie

  `prefixMap`

- ## Constructor Details

  - ### AbstractBitwiseTrie

    protected AbstractBitwiseTrie(KeyAnalyzer<? super K> keyAnalyzer)
    Constructs a new `Trie` using the given `KeyAnalyzer`.
    Parameters:
      `keyAnalyzer` - The `KeyAnalyzer` to use

- ## Method Details

  - ### getKeyAnalyzer

    protected KeyAnalyzer<? super K> getKeyAnalyzer()
    Gets the `KeyAnalyzer` that constructed the `Trie`.
    Returns:
      The `KeyAnalyzer` used by this `Trie`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `AbstractMap<K,V>`